Bug 91111 - [BYT] dEQP-GLES3.functional.shaders.texture_functions.texturelod.usamplercube_*
Summary: [BYT] dEQP-GLES3.functional.shaders.texture_functions.texturelod.usamplercube_*
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 10.6
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-06-25 20:59 UTC by Brian Wilson
Modified: 2016-11-02 06:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Wilson 2015-06-25 20:59:06 UTC
Tested Mesa commit:
c2a0600d5b0645533ba442b5ab879b23c2564a4d: "i965: Don't set NirOptions for stages that will use the vec4 backend."
Plus patches:
- 10.6-i965-do-not-round-line-width-when-multisampling-or-a.patch
- 10.6-mesa-add-GL_RED-GL_RG-support-for-floating-point-tex.patch
- 10.6-i965-Momentarily-pretend-to-support-ARB_texture_sten.patch
- 10.6-Revert-i965-Advertise-a-line-width-of-40.0-on-Cherry.patch

Testing a Mesa update on ChromeOS, the following dEQP tests fail on BYT:
- dEQP-GLES3.functional.shaders.texture_functions.texturelod.usamplercube_vertex
- dEQP-GLES3.functional.shaders.texture_functions.texturelod.usamplercube_fragment

Sample failure:
"Image comparison failed: difference = 450.979, threshold = 0.05"

These tests pass on HSW, BDW and BSW, and passed on BYT with an older Mesa commit (November 18, 2014: 129178893b2260df22db96327c5ca9c2ce7db046 "glsl: Generate unique names for each const array lowered to uniforms" + ~10 patches)
Comment 1 Matt Turner 2015-08-23 04:01:58 UTC
Please assign i965 bugs to Component: Drivers/DRI/i965.
Comment 2 Tapani Pälli 2015-08-27 04:58:39 UTC
maybe related to bug #91114, at least lod calculation there seems broken
Comment 3 Matt Turner 2016-11-02 06:40:22 UTC
I believe this was fixed by commit

commit d4a5a61d445e683c20de00c1febe847b4c2db910
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Mon Mar 28 20:07:13 2016 -0700

    i965: Don't use CUBE wrap modes for integer formats on IVB/BYT.

Please reopen if it is not.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.